Skip to main content
GET
/
worksites
/
{worksite_id}
/
address
Get Worksite Address Content
curl --request GET \
  --url https://sandbox.intermezzo.ai/worksites/{worksite_id}/address \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.intermezzo.ai/worksites/{worksite_id}/address"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.intermezzo.ai/worksites/{worksite_id}/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "isCorrespondence": true,
    "address": "<string>",
    "components": {
      "formatted_address": "<string>",
      "street_number": "<string>",
      "road": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "postal_code_suffix": "<string>",
      "latitude": 123,
      "longitude": 123
    },
    "content": {
      "normalizedAddress": "<string>",
      "countryCode": "DE",
      "addressType": "HAUSANSCHRIFT"
    }
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

worksite_id
required

Query Parameters

correspondence
boolean | null

Response

Successful Response

id
string
required
isCorrespondence
boolean
required
address
string
required
components
AddressComponents · object
required
content
GermanyWorksiteAddressContent · object
required